{
	"name": "form/nc/nc-admin/nc-nats/nc-nats.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "nc-nats"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-tab",
						"attribute": {
							"model": "rec.tab",
							"v-on:change": "tabChanged('tab')"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/6"
						},
						"element": [
							{
								"component": "nc-label-dropdown",
								"attribute": {
									"model": "rec.row_count"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.row_count",
									":disabled": "rec.row_count !== 'custom' || rec.running"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-checkbox",
								"attribute": {
									"model": "rec.use_change_data",
									":disabled": "rec.running"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "30em",
							"class": ["nc-space-around"]
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"class": ["nc-button-wide"],
									"model": "hdr.start_test",
									"icon": "play",
									"v-on:click": "startTest()",
									":disabled": "rec.running || !rec.connected"
								}
							},
							{
								"component": "nc-button",
								"attribute": {
									"class": ["nc-button-wide"],
									"model": "hdr.stop_test",
									"icon": "stop",
									"v-on:click": "stopTest()",
									":disabled": "!rec.running || !rec.connected"
								}
							},
							{
								"component": "nc-button",
								"attribute": {
									"class": ["nc-button-wide"],
									"model": "hdr.clear_grid",
									"icon": "trash",
									"v-on:click": "clearGrid()"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "30em",
							"class": ["nc-space-around"]
						},
						"element": [
							{
								"component": "nc-checkbox",
								"attribute": {
									"model": "rec.delete_old_stream",
									":disabled": "rec.running"
								}
							},
							{
								"component": "nc-checkbox",
								"attribute": {
									"model": "rec.delete_all_prefix_streams",
									":disabled": "rec.running"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2em"
						},
						"element": [
							{
								"component": "nc-line-v"
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "22em"
						},
						"element": [
							{
								"component": "nc-label-dropdown",
								"attribute": {
									"model": "rec.connection",
									"v-on:change": "connectionChanged()",
									":class": "{ 'red': !rec.connected }"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.received_message_label",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.received_row_label",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.message_rate",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.row_rate",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.total_time",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.avg_time",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.first_message_time",
									":readonly": "true"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.compression_level",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.compression_time",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.decompression_time",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.original_bytes",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.compressed_bytes",
									":readonly": "true"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/8"
						},
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.compression_percent",
									":readonly": "true"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-progress-bar",
								"attribute": {
									":percent": "rec.progress",
									":status": "rec.progress_status",
									":message": "rec.message_text"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/2"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "message_stat",
									"model": "grid.message_stat",
									"height": "calc(100vh - 23em)"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2em"
						},
						"element": [
							{
								"component": "nc-line-v"
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "message",
									"model": "grid.message",
									"height": "calc(100vh - 23em)",
									"v-on:grid-row-clicked": "gridRowClicked"
								}
							}
						]
					}
				]
			}
		]
	}
}
